libsamplerate: User-assisted execution of arbitrary code — GLSA 200812-05

A buffer overflow vulnerability in libsamplerate might lead to the execution of arbitrary code.

Affected Packages

media-libs/libsamplerate on all architectures
Affected versions < 0.1.4
Unaffected versions >= 0.1.4

Background

Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for audio.

Description

Russell O'Connor reported a buffer overflow in src/src_sinc.c related to low conversion ratios.

Impact

A remote attacker could entice a user or automated system to process a specially crafted audio file possibly leading to the execution of arbitrary code with the privileges of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All libsamplerate users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=media-libs/libsamplerate-0.1.4"

References

Release Date
December 02, 2008

Latest Revision
December 02, 2008: 01

Severity
normal

Exploitable
remote

Bugzilla entries